[Config]
Program=nvgenprinter
UseCOM=1
Port=COM4
Mode=96,E,8,1
IPPort=12001
IPAddress=
Description=
RemoteSystemName=Schrack SPP
PhysicalLayer=RS232
Info=Open the file nvgenprinter_info.txt to have configuration information
ComTimeoutInMilliSeconds=10
RunAsIPServer=0
ForceIPDisconnectionAfterWDTimeout=0
ShortDescription=nvgenprinter2.ini
GlobalOffset=6000
DebugMode=1
RemoteSystemType=others
UseOwnNveModule=0
OwnModuleBatchFilename=nvgpframe.bat
######################=########################
MaxProcesses=0
ComMaxReconnect=20
ComSleepBeforeReconnectInSeconds=20
IPTransport=TCP
[Protocol]
EncapsulationType=0
ResponseDelay=1
NoProtocolStructure=0
RemoveNonPrintableCharsWhenProcessing=0
IgnoreCheckSumForS640SafetyMgmtSys=1
######################=########################
CheckSigmasysFirstLineContainsDateTime=1
[Acknowledge]
SendAckOrNakBack=0
SendAsAck=\x06
SendAsNak=\x15
######################=########################
SendAsAckInputDataBack=0
[Message]
WriteMsgFile=1
MessagePath=\nvt\log
WriteAfterCharsTo2ndMsg=0
DoNotWriteDisplayMsg=0
WordForSpecAction=;
NbrOfLinesProMess=1
SuppressLineFeed=0
SuppressESCControlSigns=0
AddFirstLineToUUI=0
LineNbrAsUUI=0
MessageStartAfterNChar=5
NbrCharForMessage=0
CharForEndOfMessage=
AlrNumStartAfterNChar=2
NbrDigitsForAlr=3
DeleteAdditionalSpace=0
UseNvextmsgDll=0
DisplayTextAndScanTextOnLineX=1
DetachMsg1AndMsg2=0
Msg2OnLineX=0
Msg2StartAtPosition=0
StopMsg2AtPosition=0
######################=########################
[Filter]
FilterActive=1
FilterOnLines=1
FilterString=ALARM
StringEndLine=\r\n
StringEndBlock=
AddFilterStringBeforeScanningText=0
StringIdentifyingStartOfFrame=
EmptyLineAsFrameDelimitor=0
######################=########################
FilterOnLineX=1
[DBAlarmScan]
ScanDbForAlarm=1
Vm001Path=\db1
FirstAlarmNbr=6000
LastAlarmNbr=6009
DefaultAlarmNbr=6099
ScanForSubString=0
ScanForDBSubString=1
OnlyScanForFirstXDigits=0
ConvertScanTextFromOemToAnsi=0
DetachScanTextAndDisplayText=1
ScanTextOnLines=1
ScanTextFromXthDigits=0
StopScanTextAtPosition=9
######################=########################
ScanTextOnLineX=1
[Generic]
WildcardAlarms=off
MaxRecords=1000
FilterTransform=nvgenprinter2_FILTER.CSV
GroupTransform=nvgenprinter2_GROUPS.CSV
TextTransform=nvgenprinter2_TEXTS.CSV
AlarmTransform=nvgenprinter2_ALARMS.CSV
######################=########################
[WatchDog]
WatchDogActive=1
WatchDogString=UEBERWACHUNGSTELEGRAMM
FindWatchDogStringInBuffer=0
FindBufferInWatchDogString=0
StartAlarm=6015
Timeout=5
SleepAfterAlarm=1
######################=########################
[KeepAlive]
SendKeepAlive=0
KeepAliveIntervalSecond=10
KeepAliveString=\x01
######################=########################
[RegExp]
UseRegularExpression=1
ApplyRegExpOnFullBlock=0
;                  1                   2         3             4                                           5                                   6                                                 7 
;                  ALARM      SIMUL    GRUPPE    27      /     2        D    O    ,21     .01     .2010    13     :07      0978   M     S      G      4          M     e     d     .             Zimmer 42
RegularExpression=([A-Z,™]*) +[A-Z]* +([A-Z]*) +([0-9]*)[/, ]+([0-9]*) +[A-Z][A-Z],[0-9]*\.[0-9]*\.[0-9]* ([0-9]*\:[0-9]*) [0-9]* [A-Z]?[A-Z]?([^\;]?[^\;]?[^\;]?[^\;]?[^\;]?[^\;]?[^\;]?[^\;]?)([^\;]*)$
SubstitutionMsg1=Brandalarm
Msg1OnLineX=1
SubstitutionMsg2=\6\7
Msg2OnLineX=1
SubstitutionMsgUUI=\3/\4 \6\7 \1
MsgUUIOnLineX=1
SubstitutionScanText=\1#\3#
ScanTextOnLineX=1
SubstitutionAlrNbr=
AlrOnLineX=1
######################=########################
SubstitutionCallbackNumberAsDTMF=
CallbackNumberAsDTMFOnLineX=1
[FieldStructure]
FrameHasFieldStructure=0
FieldDelimiter=
Msg1Layout=
Msg2Layout=
MsgUUILayout=
ScanTextLayout=
AlrNbrInField=2
FilterInField=1
ResetInField=1
3rdPartyEventIdInField=-1
LengthInField=1
######################=########################
[Frame]
ResetString=
FieldsLength=
IntegerFieldsCodingFormat=
######################=########################
[Statistics]
FirstInstallation=4b599870
LastStartup=4ea59ef7
LastDataReceived=4ea7bc5b
LastAlarm=4ea5af9a
LastWDAlr=4ea59ec0
LastWD=4ea7bc5b
